Bug 1900664 - [RFE] An ability to re-register a host within global registration
Summary: [RFE] An ability to re-register a host within global registration
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Registration
Version: 6.9.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: 6.10.0
Assignee: satellite6-bugs
QA Contact: Stephen Wadeley
URL:
Whiteboard:
: 1919888 1919983 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-11-23 13:50 UTC by Peter Ondrejka
Modified: 2021-11-16 14:09 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-11-16 14:09:33 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 31820 0 Normal New GR template - add --force option for Sub-man to re-register a host 2021-02-19 18:02:14 UTC
Red Hat Product Errata RHSA-2021:4702 0 None None None 2021-11-16 14:09:44 UTC

Description Peter Ondrejka 2020-11-23 13:50:09 UTC
Description of problem:

Add an ability to force subscription-manager re-registration from the template. For mass registration it would be useful to have a flag to use subscription-manager --force to override those previously registered elsewhere. Or alternatively, an option to run “subscription-manager clean” first. 

While it is possible to edit the registration template globally, having the option in the host registration form allows for differentiate policies, and is more user-friendly. Forgetting to un-edit the template could lead to unwanted re-registrations, UI option supports a concious decision about it. 

The risk of overwriting the data should be clearly communicated

Comment 1 Leos Stejskal 2021-02-05 09:22:28 UTC
Created redmine issue https://projects.theforeman.org/issues/31820 from this bug

Comment 2 Leos Stejskal 2021-02-05 09:41:01 UTC
*** Bug 1919983 has been marked as a duplicate of this bug. ***

Comment 3 Leos Stejskal 2021-02-12 09:01:35 UTC
*** Bug 1919888 has been marked as a duplicate of this bug. ***

Comment 4 Bryan Kearney 2021-03-15 20:01:11 UTC
Moving this bug to POST for triage into Satellite since the upstream issue https://projects.theforeman.org/issues/31820 has been resolved.

Comment 8 errata-xmlrpc 2021-11-16 14:09:33 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: Satellite 6.10 Release), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:4702


Note You need to log in before you can comment on or make changes to this bug.